HomeGuidesAPI ReferenceChangelog
Log In
API Reference

ZIP Codes Overview

Learn how ZIP code metadata is modeled for city, county, latitude, longitude, time zone, and display workflows.

ZIP Code metadata provides city, county, latitude, longitude, time zone, and related display information for ZIP code workflows.

Use ZIP Code data when you need to enrich tariff searches, location workflows, or customer-facing displays with ZIP code details.

Choose a ZIP Code endpoint

Data Definitions

ZIP Code

The ZipCode object has the following data structure.

NameTypeDescription
zipcodeString5-character string of the ZIP code
latitudeIntegerLatitude of this location.
longitudeIntegerLongitude of this location.
cityStringDisplay name of the city containing this ZIP code.
countyStringDisplay name of the county containing this ZIP code.
areaCodeStringString containing the area code(s) containing this ZIP code. Area codes are separated by a forward slash, e.g. 415/510.
cityTypeStringNot currently used.
cityAliasAbbreviationStringIf not null, this contains an abbreviation commonly used for this city.
elevationIntegerHighest point of elevation (in feet) within this ZIP code.
dayLightSavingBooleanTrue or false on whether this ZIP code observes daylight saving time.
cityMixedCaseStringAlternate display name of the city containing this ZIP code.
stateAnsiIntegerState ANSI code representing the state containing this ZIP code.
countyAnsiIntegerANSI code representing the county containing this ZIP code.
stateStringTwo-character abbreviation of the state containing this ZIP code.
timeZoneIntegerNumber indicating the time zone, e.g. 8 is Pacific Time Zone.

Note the State ANSI codes for the USA can be found at https://www.census.gov/geo/reference/ansi_statetables.html.

Here's an example in JSON of a ZIP code:

{  
	"zipcode":"48322",  
	"latitude":42,  
	"longitude":-83,  
	"city":"WEST BLOOMFIELD",  
	"county":"OAKLAND",  
	"areaCode":"248/734",  
	"cityType":"B",  
	"cityAliasAbbreviation":"W BLOOMFIELD",  
	"elevation":943,  
	"dayLightSaving":true,  
	"classificationCode":null,  
	"cityMixedCase":"West Bloomfield",  
	"cityAliasMixedCase":"West Bloomfield",  
	"stateAnsi":26,  
	"countyAnsi":125,  
	"state":"MI",  
	"timeZone":5  
}

Endpoint details

Use Get ZIP Code Details for request parameters and endpoint-specific guidance.